<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [iceshrimp-js](./iceshrimp-js.md) &gt; [entities](./iceshrimp-js.entities.md) &gt; [Antenna](./iceshrimp-js.entities.antenna.md)

## entities.Antenna type

**Signature:**

```typescript
export declare type Antenna = {
	id: ID;
	createdAt: DateString;
	name: string;
	keywords: string[][];
	excludeKeywords: string[][];
	src: "home" | "all" | "users" | "list" | "group" | "instances";
	userListId: ID | null;
	userGroupId: ID | null;
	users: string[];
	instances: string[];
	caseSensitive: boolean;
	notify: boolean;
	withReplies: boolean;
	withFile: boolean;
	hasUnreadNote: boolean;
};
```
**References:** [ID](./iceshrimp-js.entities.id.md)<!-- -->, [DateString](./iceshrimp-js.entities.datestring.md)

